> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shortext.ny-corp.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search ticket status records



## OpenAPI

````yaml api-reference/openapi.json get /ticket/status/search
openapi: 3.1.0
info:
  title: Shortext API
  description: This is my API
  version: '1.0'
servers:
  - url: https://shortext.ny-corp.io/api
  - url: https://whatsapp-gateway.test/api
security: []
tags:
  - name: Agents
    description: Agents
  - name: Business - Manager
    description: Business - Manager
  - name: Messages
    description: Messages
  - name: Tickets
    description: Tickets
  - name: health
    description: health
paths:
  /ticket/status/search:
    get:
      tags:
        - Tickets
      summary: Search ticket status records
      operationId: searchTicketStatus
      parameters:
        - name: agent
          in: query
          required: true
          schema:
            type: string
          example: AGI-XLWY6P
      responses:
        '200':
          description: The data
          content:
            application/json:
              schema: {}
              example:
                - id: 1
                  app_id: null
                  name: Open
                  code: open
                  position: 1
                  is_active: true
                  is_terminal: false
                  is_resolved: false
                  created_at: '2025-04-25T17:19:31.000000Z'
                  updated_at: '2025-04-25T17:19:31.000000Z'
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: Basic Auth
      scheme: bearer

````